%bcond_with texlive

Summary: A tool maintaining translations anywhere
Name:    po4a
Version: 0.66
Release: 4%{?dist}
License: GPL+
URL:     https://po4a.org/
Source0: https://github.com/mquinson/po4a/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: %{_bindir}/xsltproc %{_bindir}/nsgmls
BuildRequires: coreutils docbook-style-xsl findutils grep gettext
BuildRequires: perl-interpreter perl-generators perl(lib) perl(Encode) perl(ExtUtils::Install)
BuildRequires: perl(File::Basename) perl(File::Copy) perl(File::Path) perl(File::Spec) perl(File::stat)
BuildRequires: perl(Module::Build) perl(Pod::Man) perl(Carp) perl(Config) perl(Cwd)
BuildRequires: perl(DynaLoader) perl(Encode::Guess) perl(Exporter) perl(Fcntl) perl(File::Temp)
BuildRequires: perl(Getopt::Long) perl(Getopt::Std) perl(IO::File) perl(Pod::Parser) perl(Pod::Usage)
BuildRequires: perl(POSIX) perl(SGMLS) perl(strict) perl(subs) perl(Time::Local)
BuildRequires: perl(vars) perl(warnings) perl(I18N::Langinfo) perl(Locale::gettext) perl(Term::ReadKey)
BuildRequires: perl(Text::WrapI18N) perl(Unicode::GCString) perl(Test::More) perl(YAML::Tiny)

%if %{with texlive}
BuildRequires: texlive-kpathsea texlive-kpathsea-bin tex(article.cls)
Requires: texlive-kpathsea texlive-kpathsea-bin
%endif

Requires: %{_bindir}/nsgmls %{_bindir}/xsltproc
Requires: gettext perl(Unicode::GCString)
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires: perl(Locale::gettext) perl(I18N::Langinfo) perl(Term::ReadKey) perl(Text::WrapI18N)

BuildArch: noarch

%description
The po4a (po for anything) project goal is to ease translations (and more interestingly, the
maintenance of translations) using gettext tools on areas where they were not expected like
documentation.

%prep
%autosetup -p1

%build
export PO4AFLAGS="-v -v -v"
LANG=C.utf8
%{__perl} ./Build.PL installdirs=vendor
./Build

%install
LANG=C.utf8
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*
%find_lang %{name}

%check

%files -f %{name}.lang
%license COPYING
%doc README* TODO
%{_bindir}/po4a*
%{_bindir}/msguntypot
%{perl_vendorlib}/Locale
%{_mandir}/man1/po4a*.1*
%{_mandir}/man1/msguntypot.1*
%{_mandir}/man3/Locale::Po4a::*.3*
%{_mandir}/man7/po4a.7*
%{_mandir}/*/man1/po4a*.1*
%{_mandir}/*/man1/msguntypot.1*
%{_mandir}/*/man3/Locale::Po4a::*.3*
%{_mandir}/*/man7/po4a.7*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.66-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.66-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.66-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 15 2023 Shuo Wang <abushwang@tencent.com> - 0.66-1
- initial build
